<div class="row">
  <div class="col-12">

    <ng-container *ngIf="!loading">
      <ng-container *ngFor="let item of commentList">
        <div class="card mb-2">
          <div class="card-body p-2">
            <div class="row">
              <div class="col-9">
                <span class="font-weight-bold">{{item.operateurSaisie ? item.operateurSaisie : 'anonyme'}}</span> {{'INCIDENT_DETAILS.AUTHORED_COMMENT'|translate}}
              </div>
              <div class="col-3 text-right">
                <span>{{'INCIDENT_DETAILS.SINCE'|translate}} {{item.dateCreation|ago}}</span>
              </div>
            </div>

            <div class="row">
              <div class="col-auto">
                {{item.commentaire}}
              </div>
            </div>
          </div>
        </div>
      </ng-container>

      <ng-container *ngIf="commentList?.length===0">
         {{'INCIDENT_DETAILS.NO_COMMENT'|translate}}
      </ng-container>
    </ng-container>


    <div *ngIf="loading" class="loading">
      <em class="fa fa-spinner fa-spin fa-2x"></em>
    </div>

  </div>
</div>
